Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# plug.hh File Reference

A GtkPlug C++ wrapper interface. More...

`#include <xfc/gtk/window.hh>`
`#include <gtk/gtkplug.h>`
`#include <xfc/gtk/inline/plug.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Plug
    A GtkPlug C++ wrapper class. More...

## Detailed Description

A GtkPlug C++ wrapper interface.

Provides Plug, which together with Socket, provides the ability to embed widgets from one process into another process in a fashion that is transparent to the user.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3